

drivers/video/intelfb/intelfbdrv.c:535: warning: long unsigned int format, different type arg (arg 2)
drivers/video/intelfb/intelfbdrv.c:535: warning: long unsigned int format, different type arg (arg 3)
drivers/video/intelfb/intelfbdrv.c:535: warning: long unsigned int format, different type arg (arg 4)
drivers/video/intelfb/intelfbdrv.c:535: warning: long unsigned int format, different type arg (arg 5)


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/intelfb/intelfbdrv.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/video/intelfb/intelfbdrv.c~intelfbdrv-resource-warning-fixes drivers/video/intelfb/intelfbdrv.c
--- 25/drivers/video/intelfb/intelfbdrv.c~intelfbdrv-resource-warning-fixes	2005-02-28 18:47:26.000000000 -0800
+++ 25-akpm/drivers/video/intelfb/intelfbdrv.c	2005-02-28 18:47:54.000000000 -0800
@@ -529,11 +529,11 @@ intelfb_pci_register(struct pci_dev *pde
 	dinfo->aperture.physical = pci_resource_start(pdev, aperture_bar);
 	dinfo->aperture.size     = pci_resource_len(pdev, aperture_bar);
 	dinfo->mmio_base_phys    = pci_resource_start(pdev, mmio_bar);
-	DBG_MSG("fb aperture: 0x%lx/0x%lx, MMIO region: 0x%lx/0x%lx\n",
-		pci_resource_start(pdev, aperture_bar),
-		pci_resource_len(pdev, aperture_bar),
-		pci_resource_start(pdev, mmio_bar),
-		pci_resource_len(pdev, mmio_bar));
+	DBG_MSG("fb aperture: 0x%llx/0x%llx, MMIO region: 0x%llx/0x%llx\n",
+		(unsigned long long)pci_resource_start(pdev, aperture_bar),
+		(unsigned long long)pci_resource_len(pdev, aperture_bar),
+		(unsigned long long)pci_resource_start(pdev, mmio_bar),
+		(unsigned long long)pci_resource_len(pdev, mmio_bar));
 
 	/* Reserve the fb and MMIO regions */
 	if (!request_mem_region(dinfo->aperture.physical, dinfo->aperture.size,
_
